local bg, mask, hole

function love.load(args)

  bg = love.graphics.newImage('Background.jpg')

  mask = love.graphics.newCanvas()
  love.graphics.setCanvas(mask)
  love.graphics.clear(0,0,0)
  love.graphics.setCanvas()

  hole = love.graphics.newImage('Hole.png')
end


function love.update(dt)
  love.graphics.setCanvas(mask)
  love.graphics.clear(0, 0, 0, 255)
  love.graphics.setBlendMode("multiply")
  local x, y = love.mouse.getPosition()
  love.graphics.draw(hole, x, y, 0, .75, .75, hole:getWidth()/2, hole:getHeight()/2 )
  love.graphics.setBlendMode("alpha")
  love.graphics.setCanvas()
end

function love.draw()
  love.graphics.draw(bg)
  love.graphics.setColor(255, 255, 255, 200)
  love.graphics.draw(mask)
  love.graphics.setColor(255, 255, 255)
end
